root: true
extends:
  - remcohaszing
settings:
  node:
    convertPath:
      '**/*.ts': ['(.+)\\.ts$', '$1.js']
rules:
  '@typescript-eslint/no-misused-promises': off
  jsdoc/require-jsdoc: off
overrides:
  - files: ['*.ts', '*.tsx']
    plugins: ['@typescript-eslint']
    parser: '@typescript-eslint/parser'
    rules:
      '@typescript-eslint/no-explicit-any': 'off'
